@echo off
cls
echo Bloody Pulp Fiction for Blood Add-on Installation
echo NOTE: Ignore Missing Sound Warnings. Everything is fine
echo.
echo 1 = Installation
echo 2 = Delete BPF
echo 3 = Do nothing
echo.
CHOICE /N /C:123 CHOOSE A NUMBER (1, 2, or 3)%1
IF ERRORLEVEL ==3 GOTO end4
IF ERRORLEVEL ==2 GOTO uninstall
IF ERRORLEVEL ==1 GOTO install


:install
cls
echo off
if exist blood.0 goto end2
cd BPFSETUP

copy *.mid ..\
copy *.raw ..\
copy *.kvx ..\
copy *.map ..\
copy sounds.rfs ..\
copy voxels.rfs ..\
copy *.BPF ..\
copy barf.exe ..\
copy *.wav ..\
copy *.smk ..\
copy bpf.ini ..\

del *.*
cd..
rd BPFSETUP

copy blood.rff blood.0
copy sounds.rff sounds.0
barf -u blood.rff *.kvx
barf -u sounds.rff *.raw
barf blood.rff @voxels.rfs
barf sounds.rff @sounds.rfs
barf -u blood.rff *.map
barf -u sounds.rff *.mid

del *.raw
del *.kvx
del BlackM~1.mid
del bpf03.mid
del Murder~1.mid
del RunFor~1.mid
del TheHun~1.mid
del track6.mid
del BAITD2.MAP
del BFS.MAP
del BLAKCOVE.MAP
del BPFE1M1.MAP
del BPFE1M2.MAP
del BPFE1M3.MAP
del BPFE1M4.MAP
del BPFE1M5.MAP
del BPFE1M6.MAP
del BPFE1M7.MAP
del BPFE1M8.MAP
del BPFE1M9.MAP
del BPFE1M10.MAP
del BPFE1M11.MAP
del BPFE1M12.MAP
del BPFE1M13.MAP
del CHARON.MAP
del HEART.MAP
del HELLEN.MAP
del MONOLITH.MAP
del MOUTH.MAP
del MOUTH2.MAP
del NOCTEM.MAP
del RETURN.MAP
del THEFORT.MAP
del TRAINING.MAP
del WRECK.MAP
del voxels.rfs
del sounds.rfs

ren TILES009.ART TILES009.ORG
ren TILES015.ART TILES015.ORG
ren TILES016.ART TILES016.ORG
ren TILES017.ART TILES017.ORG
ren TILES018.ART TILES018.ORG
ren TILES019.ART TILES019.ORG
ren TILES020.ART TILES020.ORG

ren TILES009.BPF TILES009.ART
ren TILES015.BPF TILES015.ART
ren TILES016.BPF TILES016.ART
ren TILES017.BPF TILES017.ART
ren TILES018.BPF TILES018.ART
ren TILES019.BPF TILES019.ART
ren TILES020.BPF TILES020.ART

ren TILES009.ORG TILES009.BPF
ren TILES015.ORG TILES015.BPF
ren TILES016.ORG TILES016.BPF
ren TILES017.ORG TILES017.BPF
ren TILES018.ORG TILES018.BPF
ren TILES019.ORG TILES019.BPF
ren TILES020.ORG TILES020.BPF

ren SHADE.DAT SHADE.ORG
ren SURFACE.DAT SURFACE.ORG
ren VOXEL.DAT VOXEL.ORG

ren SHADE.BPF SHADE.DAT
ren SURFACE.BPF SURFACE.DAT
ren VOXEL.BPF VOXEL.DAT

ren SHADE.ORG SHADE.BPF
ren SURFACE.ORG SURFACE.BPF
ren VOXEL.ORG VOXEL.BPF

del sounds.bak
del blood.bak

cls
echo Installation complete
echo Type BPF to start playing
goto end

:uninstall
if not exist blood.0 goto end3
echo off
cls
del bpf.txt
del bpf.ini
del bpf.bat
del 001.smk
del cutcn2.smk
del cutscn1.smk
del EP1A.smk
del EP1END2.smk
del wtdl1.smk
del wtdl2.smk
del cut2snd.wav
del EP1A.wav
del EP1END2.wav
del SND.wav
del wtdl1.wav
del wtdl2.wav

del blood.rff
del sounds.rff
ren blood.0 BLOOD.RFF
ren sounds.0 SOUNDS.RFF

ren TILES009.ART TILES009.ORG
ren TILES015.ART TILES015.ORG
ren TILES016.ART TILES016.ORG
ren TILES017.ART TILES017.ORG
ren TILES018.ART TILES018.ORG
ren TILES019.ART TILES019.ORG
ren TILES020.ART TILES020.ORG

ren TILES009.BPF TILES009.ART
ren TILES015.BPF TILES015.ART
ren TILES016.BPF TILES016.ART
ren TILES017.BPF TILES017.ART
ren TILES018.BPF TILES018.ART
ren TILES019.BPF TILES019.ART
ren TILES020.BPF TILES020.ART

ren TILES009.ORG TILES009.BPF
ren TILES015.ORG TILES015.BPF
ren TILES016.ORG TILES016.BPF
ren TILES017.ORG TILES017.BPF
ren TILES018.ORG TILES018.BPF
ren TILES019.ORG TILES019.BPF
ren TILES020.ORG TILES020.BPF

ren SHADE.DAT SHADE.ORG
ren SURFACE.DAT SURFACE.ORG
ren VOXEL.DAT VOXEL.ORG

ren SHADE.BPF SHADE.DAT
ren SURFACE.BPF SURFACE.DAT
ren VOXEL.BPF VOXEL.DAT

ren SHADE.ORG SHADE.BPF
ren SURFACE.ORG SURFACE.BPF
ren VOXEL.ORG VOXEL.BPF
del *.BPF
cls
echo Uninstallation Complete
del bpfsetup.bat
goto end
:end3
cls
echo BPF is not installed
goto end
:end2
cls
echo Already Installed
goto end
:end4
cls
:end


